retrievePaymentSession

POST /v1/payments/retrievePaymentSession

Use this API after payment completion to retrieve transaction details including final quantity, price, discounts, promotions, and custom data.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

paymentRequestId String  

The unique ID that is assigned by a merchant to identify a payment request.

Note: paymentRequestId and paymentSessionId cannot both be null. If both paymentRequestId and paymentSessionId are specified, paymentSessionId takes precedence.

More information:

  • Maximum length: 64 characters

paymentSessionId String  

The encrypted ID that is assigned by APO to identify a payment session.

Note: paymentRequestId and paymentSessionId cannot both be null. If both paymentRequestId and paymentSessionId are specified, paymentSessionId takes precedence.

More information:

  • Maximum length: 64 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

order Order  

The order information.

Note: This parameter is returned in CKP and Element contexts.

Show child parameters
API Explorer
Sample CodesRun in Sandbox

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

resultCode

resultStatus

resultMessage

Further action

SUCCESS

S

Success

The interface is called successfully.

UNKNOWN_EXCEPTION

U

An API call has failed, which is caused by unknown reasons.

Call the interface again to resolve the issue. If not resolved, contact Antom Technical Support.

PROCESS_FAIL

F

A general business failure occurred.

It is recommended that you contact Antom Technical Support to troubleshoot the issue.